#!/bin/sh

# Generates the perturbation solutions for the multi-country RBC model
# Some program paths may need to be adjusted in generate.sh

set -e

echo "Order 1"
for N in 2 8 10
do
    if test ! -f MC-RBC-A2-N${N}-O1.mat
    then
        echo " N=${N}"
        time -f "%U+%S" ./generate.sh ${N} 1 > /dev/null
    fi
done

echo "Order 2"
for N in 2 8 10
do
    if test ! -f MC-RBC-A2-N${N}-O2.mat
    then
        echo " N=${N}"
        time -f "%U+%S" ./generate.sh ${N} 2 > /dev/null
    fi
done

echo "Order 3"
for N in 2 8 10
do
    if test ! -f MC-RBC-A2-N${N}-O3.mat
    then
        echo " N=${N}"
        time -f "%U+%S" ./generate.sh ${N} 3 > /dev/null
    fi
done
