## Copyright (C) 2011 Sébastien Villemot <sebastien.villemot@ens.fr>
##
## This program is free software: you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program.  If not, see <http://www.gnu.org/licenses/>.

dyn.load("R_interface.so")

accuracy.test1 <- function(solution, nb.points = 1000, radius = 0.1)
  .Call("accuracy_test1", solution, nb.points, radius)

accuracy.test2 <- function(solution, T = 10000, warmup = 200, rng.seed = 0)
  .Call("accuracy_test2", solution, T, warmup, rng.seed)

closed.economy.solution <- function(gamma = 1, sigma = 0.01, rho = 0.95, solution.method = "per",
                                    order = 1)
  .Call("closed_economy_solution", gamma, sigma, rho, solution.method, order)

multi.country.solution <- function(n = 2, solution.method = "per", order = 1)
  .Call("multi_country_solution", n, solution.method, order)
